var CreatedOKZrprint7766=null;

//====判断是否需要安装云打印服务器:====
function needCZrprint(){
    try{
	var ua=navigator.userAgent;
	if (ua.match(/Windows\sPhone/i) !=null) return true;
	if (ua.match(/iPhone|iPod/i) != null) return true;
	if (ua.match(/Android/i) != null) return true;
	if (ua.match(/Edge\D?\d+/i) != null) return true;
	if (ua.match(/QQBrowser/i) != null) return false;
	var verTrident=ua.match(/Trident\D?\d+/i);
	var verIE=ua.match(/MSIE\D?\d+/i);
	var verOPR=ua.match(/OPR\D?\d+/i);
	var verFF=ua.match(/Firefox\D?\d+/i);
	var x64=ua.match(/x64/i);
	if ((verTrident==null)&&(verIE==null)&&(x64!==null)) 
		return true; else
	if ( verFF !== null) {
		verFF = verFF[0].match(/\d+/);
		if ( verFF[0] >= 42 ) return true;
	} else 
	if ( verOPR !== null) {
		verOPR = verOPR[0].match(/\d+/);
		if ( verOPR[0] >= 32 ) return true;
	} else 
	if ((verTrident==null)&&(verIE==null)) {
		var verChrome=ua.match(/Chrome\D?\d+/i);		
		if ( verChrome !== null ) {
			verChrome = verChrome[0].match(/\d+/);
			if (verChrome[0]>=42) return true;
		};
	};
        return false;
    } catch(err) {return true;};
};

//====页面引用云打印必须的JS文件：====
if (needCZrprint()) {
	var head = document.head || document.getElementsByTagName("head")[0] || document.documentElement;
	//让其它电脑的浏览器通过本机打印（适用例子）：
	var oscript = document.createElement("script");
	oscript.src ="/CLodopfuncs.js";
	head.insertBefore( oscript,head.firstChild );
	//让本机浏览器打印(更优先)：
	oscript = document.createElement("script");
	oscript.src ="http://localhost:8000/CLodopfuncs.js?priority=1";
	head.insertBefore( oscript,head.firstChild );
	//本机浏览器的后补端口8001：
	oscript = document.createElement("script");
	oscript.src ="http://localhost:8001/CLodopfuncs.js?priority=2";
	head.insertBefore( oscript,head.firstChild );
};

//====获取ZRPRINT对象的主过程：====
function getZrprint(oOBJECT,oEMBED){
    
    var strHtmInstall="<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/install_Zrprint32.exe' target='_self'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
    var strHtmUpdate="<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/install_Zrprint32.exe' target='_self'>执行升级</a>,升级后请重新进入。</font>";
    var strHtm64_Install="<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/install_Zrprint64.exe' target='_self'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
    var strHtm64_Update="<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/install_Zrprint64.exe' target='_self'>执行升级</a>,升级后请重新进入。</font>";
    var strHtmFireFox="<br><br><font color='#FF00FF'>（注意：如曾安装过旧版附件npActiveXPLugin,请在【工具】->【附加组件】->【扩展】中先卸它）</font>";
    var strHtmChrome="<br><br><font color='#FF00FF'>(如果此前正常，仅因浏览器升级或重安装而出问题，需重新执行以上安装）</font>";
    var strCLodopInstall="<br><font color='#FF00FF'>云打印服务(localhost本地)未安装启动!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/CPrint_Setup_Win32.exe' target='_self'>32位执行安装</a>,<a href='http://www.zrpower.cn/NFZR/uploadfile/CPrint_Setup_Win64.exe' target='_self'>64位执行安装</a>,安装后请刷新页面。</font>";
    var strCLodopUpdate="<br><font color='#FF00FF'>云打印服务需升级!点击这里<a href='http://www.zrpower.cn/NFZR/uploadfile/CPrint_Setup_Win32.exe' target='_self'>32位执行升级</a>,<a href='http://www.zrpower.cn/NFZR/uploadfile/CPrint_Setup_Win64.exe' target='_self'>64位执行升级</a>,升级后请刷新页面。</font>";
    var ZRPRINT;
    try{
        var isIE = (navigator.userAgent.indexOf('MSIE')>=0) || (navigator.userAgent.indexOf('Trident')>=0);
        if (needCZrprint()) {
            try{ ZRPRINT=getCLodop();} catch(err) {};
	    if (!ZRPRINT && document.readyState!=="complete") {alert("云打印服务没准备好，请稍后再试！"); return;};
            if (!ZRPRINT) {
		 if (isIE) document.write(strCLodopInstall); else
		 document.documentElement.innerHTML=strCLodopInstall+document.documentElement.innerHTML;
                 return;
            } else {

	         if (CLODOP.CVERSION<"2.0.4.7") { 
			if (isIE) document.write(strCLodopUpdate); else
			document.documentElement.innerHTML=strCLodopUpdate+document.documentElement.innerHTML;
		 };
		 if (oEMBED && oEMBED.parentNode) oEMBED.parentNode.removeChild(oEMBED);
		 if (oOBJECT && oOBJECT.parentNode) oOBJECT.parentNode.removeChild(oOBJECT);	
	    };
        } else {
            var is64IE  = isIE && (navigator.userAgent.indexOf('x64')>=0);
            //=====如果页面有ZRPRINT就直接使用，没有则新建:==========
            if (oOBJECT!=undefined || oEMBED!=undefined) {
                if (isIE) ZRPRINT=oOBJECT; else  ZRPRINT=oEMBED;
            } else if (CreatedOKZrprint7766==null){
                ZRPRINT=document.createElement("object");
                ZRPRINT.setAttribute("width",0);
                ZRPRINT.setAttribute("height",0);
                ZRPRINT.setAttribute("style","position:absolute;left:0px;top:-100px;width:0px;height:0px;");
                if (isIE) ZRPRINT.setAttribute("classid","clsid:2105C259-1E0C-4534-8141-A753534CB4CA");
                else ZRPRINT.setAttribute("type","application/x-print-lodop");
                document.documentElement.appendChild(ZRPRINT);
                CreatedOKZrprint7766=ZRPRINT;
             } else ZRPRINT=CreatedOKZrprint7766;
            //=====插件未安装时提示下载地址:==========
            if ((ZRPRINT==null)||(typeof(ZRPRINT.VERSION)=="undefined")) {
                 if (navigator.userAgent.indexOf('Chrome')>=0)
                     document.documentElement.innerHTML=strHtmChrome+document.documentElement.innerHTML;
                 if (navigator.userAgent.indexOf('Firefox')>=0)
                     document.documentElement.innerHTML=strHtmFireFox+document.documentElement.innerHTML;
                 if (is64IE) document.write(strHtm64_Install); else
                 if (isIE)   document.write(strHtmInstall);    else
                     document.documentElement.innerHTML=strHtmInstall+document.documentElement.innerHTML;
                 return ZRPRINT;
            };
        };
        if (ZRPRINT.VERSION<"6.2.0.3") {
            if (needCZrprint())
            document.documentElement.innerHTML=strCLodopUpdate+document.documentElement.innerHTML; else
            if (is64IE) document.write(strHtm64_Update); else
            if (isIE) document.write(strHtmUpdate); else
            document.documentElement.innerHTML=strHtmUpdate+document.documentElement.innerHTML;
            return ZRPRINT;
        };
        //===如下空白位置适合调用统一功能(如注册语句、语言选择等):===

         ZRPRINT.SET_LICENSES("贵州南方智软科技有限公司","59CE7C4D8EE17DF0666CDB90A683CA31","貴州南方智軟科技有限公司","A7211F68644A02D214F229A3A1EAE6CC");
         ZRPRINT.SET_LICENSES("THIRD LICENSE","","Guizhou Nanfang soft Chi Technology Co., Ltd.","9BD2AB409DFD1EDAF5FC052028B6FBEA");

        //===========================================================
        return ZRPRINT;
    } catch(err) {alert("getZRPRINT出错:"+err);};
};

